Compiling xsane in gimp-2.3 – Compiler xsane avec gimp-2.3

enxsane don’t find gimp-2.3 at configure time, because it wants gimp-config. This one is deprecated. Know only pkg-config style is used.

Before using configure script, type :

export GIMP_CONFIG='pkg-config gimp-2.0'

And everything will be OK. At least if the *.pc ($PREFIX/lib/pkgconfig) are in the PKG_CONFIG PATH or are linked to /usr/lib/pkgconfig.

frXsane refuse de se compiler par defaut avec gimp-2.3. Il exige en effet le programme gimp-config, qui était avec gimp-2.2 mais à totalement été abandonné au profit de pkg-config.

Il suffit donc de faire :

export GIMP_CONFIG='pkg-config gimp-2.0'

et il sera bien détécté. Dumoins, si le repertoire contenant les *.pc ($PREFIX/lib/pkgconfig) est dans le PKG_CONFIG_PATH, ou si il y a un lien de ces fichiers dans /usr/lib/pkgconfig.

Leave a comment

You must be